What's New
==========
***Please enable word wrap to view this document***


Version 3.5 (released: April 22, 2004)
------------
* Added two new resampling filters in the Thumbnail Generator dialog box: Bilinear and Bicubic. The Bilinear interpolation method produces relatively smooth edges with few jaggies. This algorithm is often recommended for shrinking images. Bicubic interpolation is more sophisticated than Bilinear. It produces very smooth edges with hardly any jaggies (even better than Bilinear). This algorithm is often used for enlarging images.

* In the Thumbnail Generator dialog box, added support for new rename tokens in the Prefix/suffix field. You can now use tokens to control the character case of image names. Example: supposing the processed file is called "sample04.jpg" and the rename field has the following criteria: "tn_{!FileName}"; the resulting file will be assigned the following name: "tn_SAMPLE04.JPG".

* Improved the Hue method available on the Image Conversion/Adjustments tab.

* The news feature now does its polling in a separate program thread to improve program loading speed.

* Updated image processing code, which includes many improvements in file handling.

* Updated Help file.

* Several minor glitches fixed and other improvements.


Version 3.2 (released: May 09, 2003)
------------
* Added support for JPEG 2000 files (*.jpc;*.j2k;*.jp2).

* Added Passive Mode option to Upload Album panel. Use Passive Mode to allow FTP access through firewalls.

* Added optional News feature to inform you of Album Express updates and other Fookes Software news.

* Updated image processing code.

* Updated Help file.

* Several minor glitches fixed and other improvements.


Version 3.05 (released: November 15, 2002)
------------
* The Album grid now accepts TIFF files and other non-Web image formats. In earlier versions, it was necessary to first convert them to JPEGs with the integrated thumbnail tool.

* Filenames and folder names that contains spaces are now automatically changed to underscore characters when uploaded to a remote server.

* Fixed a bug that could cause original images to be overwritten under certain conditions.

* Fixed a glitch in the FTP component, which under certain circumstances caused a failure to upload files after a first attempt.


Version 3.04 (released: October 31, 2002)
------------
* Fixed a glitch in the FTP component, which under certain circumstances caused a failure to upload files.

* The templates distributed with the commercial version no longer display the "Created with Album Express". This feature is kept in the trial version.


Version 3.03 (released: October 24, 2002)
------------
* Thumbnails dialog: added the Lossless option to the Algorithm list. Use it to produce lossless JPEG rotations.

* Thumbnails dialog: When overwriting original files with images transformed by the dialog, the modified picture is now updated in the image panels. Images selections are kept when the file list is updated.

* Thumbnails dialog: Fixed an error that occurred when saving a lossless JPEG image over its original file.

* Fixed a missing double quote character in the templates Default.html and Photo Page.html.


Version 3.02 (released: October 16, 2002)
------------
* Added the following two template fields:

{_IsLandscape}
Conditional field. Returns the field name if the image width is greater than its height, and an empty value if it is not. This field is useful to determine the arrangement of page elements based on the image layout. Should be used in a comment tag; i.e. <!--{_IsLandscape}-->. Should only be used in the body section.

{_IsPortrait}
Conditional field. Returns the field name if the image height is greater than its width, and an empty value if it is not. This field is useful to determine the arrangement of page elements based on the image layout. Should be used in a comment tag; i.e. <!--{_IsPortrait}-->. Should only be used in the body section.

* Several minor glitches fixed and other improvements.


Version 3.0/3.01 (released: September 30, 2002)
----------------
* Image processing speed is now significantly faster.

* Updated all the templates and demo settings. The templates use several new features that enable the creation of much nicer photo arrangements. All the templates have been tested for compatibility with Internet Explorer, Netscape, Mozilla, and Opera.

* With regards to the templates, the Default template used in previous versions has been renamed Basic. The new Default template is similar to the Photo Page template but adds a more modern look. In our opinion, the Default template is the one that produces the nicest looking photo albums.

* Each picture can now have its own title or short caption. This is useful to label each picture in an index thumbnails page as well as to give a more meaningful title on the individual pages showing the full-size pictures.

* To see an example of the new capabilities, make an album by using the new "Demo Default.alb" settings. Use the File/Open menu command to load the settings and then click on the Quick Build button.

* In earlier versions, the setting for number of thumbnails per row was prompted in a popup dialog box. This is no longer the case. You can now set this value on tab #3 in the re-labelled "Max pics" field.

* The thumbnails dialog now allows increasing the size of pictures. New controls have been added to make it even easier to use.

* While in the image description editor, you can navigate up and down through the picture list by pressing the Ctrl+Up and Ctrl+Down keys respectively.

* The "descript.ion" file is now updated each time you modify an image description. This lowers the risk of losing data from a system crash.

* Text in the "descript.ion" file now takes precedence over descriptions in the "Albums.ids" file.

* Added a new method for launching browsers.

* Updated the code used for the FTP component.

* The Search template will no longer fail if your descriptions contain a single or double quote.

* Fixed "GetDIB failed" error messages sometimes popping up when processing large .bmp files.

* Fixed a minor rounding error when calculating the new size of thumbnails.

* JPE files (Jpeg) are now correctly processed.

* Several minor glitches fixed and other improvements.

* Updated the Help file and added HTML Help.


New Template Field
..................
{ThumbDefHeight}
Inserts the maximum height in pixels defined for the creation of thumbnails. This field is useful to define frames of a fixed size for all thumbnails or to control layout on a page. Can be used in any part of the template.

{ThumbDefWidth}
Inserts the maximum width in pixels defined for the creation of thumbnails. This field is useful to define frames of a fixed size for all thumbnails or to control layout on a page. Can be used in any part of the template.

{ImageTitle}
Inserts the short caption assigned to the image currently being processed (i.e. Description column in grid). The text is taken from the beginning of the {ItemInfo} field up to the delimiter formed by two consecutive colons (::); if no delimiter is found, the caption is empty. Should only be used in the body or contents section. Example:
{ItemInfo} = Geneva Sunset::Summer sunset over the city of Geneva
{ItemTitle} = Geneva Sunset
{ImageInfo} = Summer sunset over the city of Geneva

{ImageInfo}
Same as {ItemInfo}, but if there is a short caption (see {ImageTitle}) it only inserts the text following the delimiter formed by two consecutive colons (::). Should only be used in the body or contents section.

{DefaultExt}
Inserts the default extension used for creating the Web pages. Can be used in any part of the template.

{Calc:Expression}
This special field is replaced by the result of the mathematical expression, which is denoted here by Expression. The expression can contain other fields that produce numerical values. Only whole numbers (integers) are produced through this feature. See the topic "Mathematical Operators" in Help for more information.
Example; supposing {ImageTagWidth} is equal to 150, the following field will insert the value 165:
{Calc:{ImageTagWidth}+15}

{ClearTags:SomeText}
If SomeText contains tags, this function will remove them from the text. The result is then inserted in the place of the field.

{UseBest:"Text1";"Text2"}
If Text1 is empty, the UseBest function will insert the text contained in Text2, otherwise it inserts the contents of Text1. Use quotes around each text and separate the two with a semicolon. This function is typically used in conjunction with other fields. Example:
{UseBest:"{ClearTags:{_ImageTitle}}";"{_ImageName}"}

{UseGreater:Value1;Value2}
This function works with whole numerical values (integers) only. If Value2 is bigger than Value1, it is inserted in the place of the field. Value1 is inserted if it is the bigger value.

{UseSmaller:Value1;Value2}
This function works with whole numerical values (integers) only. If Value2 is smaller than Value1, it is inserted in the place of the field. Value1 is inserted if it is the smaller value.


New Template Options
....................
* You can now define default values for colors and background images for each main template (the one that gets displayed in the pull down list). The values are set each time the user picks a new template from the list. Colors should be entered as hexadecimal values. Example:

BackImage=EtchedBorder.gif
BackColor=#A0A0A0
TextColor=#FFFFFF
LinkColor=#FFFF00
VLinkColor=#FFFFE0

* The Include and Exclude options now support the new field {ThumbSpecs}. This field inserts a wildcard generated from the value assigned to the ThumbPrefix option. Example: if "tn_" is the value of ThumbPrefix, then the following code will return "tn_*.*":
Exclude={ThumbSpecs}



Version 2.6c (released: December 21, 2001)
------------
* Supports Windows XP themes.

* To speed up image selection in the Thumbnails dialog, you can hold down the Alt key to stop each image you select from being displayed in the Preview panel. This can be useful if you want to select several large images for processing.

* Earlier versions were not able to open TIFF files unless they contained "preview information". This has been fixed.

* The setting "Copy images to specified folder" did not work correctly if the "Save images in" field was left empty. This has been fixed.

* The setting "Save descriptions with images" was not remembered across sessions. This has been fixed.

* Image descriptions failed to get saved in the Descript.ion file under Windows 2000 and XP. This has been fixed.

* Other minor improvements.


Version 2.6 (released: September 12, 2001)
-----------
* New command-line parameter "/DDE=True or False" to switch off or re-enable DDE communication with Internet Explorer, Netscape, and Opera browsers. This is useful on some faulty Windows ME systems that hang when DDE is used.

* Templates in CSS format are now supported.

* Fixed a glitch in creating page names when image names contain the period (.) character.

* When searching through subdirectories, directories with the hidden, read-only, or system attributes were skipped. This is now fixed.

* Fixed a glitch that caused a black pixel to appear at the top + bottom left side of images with a non-zero Sharpness setting.

* Includes updates of third-party controls.

* Other minor improvements.


Version 2.5 (released: April 04, 2001)
-----------
* Added Thumbnail Generator for creating thumbnails and resizing pictures. This feature is available from the File/Thumbnails menu command. Note that GIF files and the TIFF format using LZW compression are not supported.

The LZW compression algorithm used in Compuserve's GIF file format and in some TIFF files requires licensing from UniSys, as they have a patent on the algorithm. Unfortunately, the licensing fee and required distribution conditions currently make it impossible to support these file formats in Album Express. The LZW patent expires on 20 June 2003, so we plan to add support for those file formats after that date.

* Added internal image viewer, which is used with compatible file formats. Other file formats are displayed through the Windows Quick View utility. Use the Quick View shortcut command from the Picture grid to open the Preview window.

* Added support for the description files created by ACDSee32. Set the option "Save descriptions with images" to enable this feature (see the second Options page). Album Express will save picture descriptions in the same folder as the corresponding image files when this option is set.

* Added "Exclusion filters" field on the first page. Use a semi-colon to separate multiple criteria. Example: tn_*.*;zz_*.*

* Added "Charset" field on page #3. Use it to define the character set needed to correctly represent the text contained in the Web album. You can either pick a value from the drop-down list or type a valid character set name. The value is used in the {CharSet} template field.

* Added a Preview button (with the magnifying glass icon) next to the "Background image" field. Click on it to preview the current background in your browser.

* Updated the FTP component used in Album Express for uploading album files to a remote host.

* Several new options added to the Options-2 page:

+ Save descriptions with images:
Album Express will save picture descriptions in the same folder as the corresponding image files when this option is set. The "local"
descriptions are saved in a format that is compatible with those created by the popular ACDSee32 image-viewing program. As a result,
image descriptions can be shared between both programs. Uncheck this option if you want to keep all your image descriptions
centralized in a single file, Albums.ids, stored in the Settings subfolder.

+ Also number first album page:
Check this option to insert an index number in the file name of the first album page. Note that this option is ignored if only one page is generated. Example using the name "index.html":
 - option checked
   index01.html, index02.html, index03.html, ...
 - option unchecked
   index.html, index02.html, index03.html, ...

+ Use HTML entities:
Check this option to have special characters converted to HTML entities. Example: © -> &copy;. Uncheck this option to leave special characters unchanged. You should only uncheck this option if you are using special character sets in your album (using the "Charset" field on tab #3).

+ Process images:
Check this option to let Album Express automatically convert your images to JPG and shrink them if they exceed the size defined in the Max. image width/height fields. Image conversion occurs during the building of album files. Note that images are only overwritten if the "Overwrite images" option is set.

+ Overwrite images:
Check this option to allow Album Express to overwrite images when the "Process images" and/or "Copy images" options are active. Uncheck this option to avoid potentially overwriting your original pictures.

+ Copy images to specified folder:
Check this option to copy original and/or processed images to the folder specified in the "Save images in" field when you build your
albums. Note that images are only overwritten if the "Overwrite images" option is set.

+ Save images in:
This field is used when the "Copy images to specified folder" option is set. Album Express will copy original and/or processed images to the specified folder. The folder can be either a fully qualified location or relative to the location of the generated album files. Leave it blank to save the images in the same folder as the album pages. If the folder does not exist, Album Express will try to create it before saving files in it.

+ Default extension:
When the standard HTML extension is used, define whether your album files should use .htm or .html. Either extension type works fine with all browsers. The difference is only "cosmetic".

* You can resize-to-fit columns by double-clicking on the column separator in the grid header.

* Updated the templates and sample files distributed in the Album Express package.

* Fixed crash that could occur under Windows ME when Web browser was launched from Album Express.

* Updated the Help file and other documentation.

* Several other minor glitches fixed.


Templates
---------
* You can tell Album Express to automatically make thumbnails while it is building an album. The following template options are supported:
  ThumbPrefix=tn_
  ThumbMaxSize=150x150 (width x height)
  ThumbSharpness=20
  ThumbQuality=70
  ThumbOverwrite=Yes/No

ThumbPrefix specifies the prefix/suffix that should be added to the thumbnail file. The default prefix is "tn_" (without the quotes) and is used if you don't specify this option. If the value starts with an underscore character, it will be used as a suffix to the file name.

ThumbMaxSize is used to specify the maximum dimensions in pixels of the thumbnail picture. Pictures that are larger than the specified values are shrunk to fit within the imposed dimensions. Use the x character to separate the width value (on the left side) from the height value (on the right side). If you specify a single value, it is used for both the image width and height. The default value is 150 pixels for both the width and height. For example, to specify a width of 150 pixels and a height of 300 pixels, you would use the following expression:
  ThumbMaxSize=150x300
To specify a maximum width and height of 300 pixels, you can use either of the following expressions:
  ThumbMaxSize=300
  ThumbMaxSize=300x300

ThumbSharpness can be any value between -100 and +100. It is only used when the image is resized. A value greater than 0 sharpens the image, and a smaller value softens it. The default value is 20.

ThumbQuality can be a value between 1 and 100. It defines the quality and influences the file size of the thumbnail. The higher the value, the better the image quality and the larger the file size. The default value is 70.

ThumbOverwrite defines whether existing thumbnails are overwritten by Album Express during the building process. If the value is Yes, thumbnails are rebuilt for all files. If the value is No, only images that do not have a matching thumbnail will have a new thumbnail file created. The default value for this option depends on the usage of the other thumbnail options. If ThumbMaxSize, ThumbSharpness, or ThumbQuality, are specified, then the default is Yes. Otherwise the value is No.

The thumbnail is automatically created when Album Express encounters the {ThumbUrl} field in the active template; this field is equivalent to the {FileUrl} field. Use the {ThumbWidth} and {ThumbHeight} fields to determine the width and height respectively of the thumbnail image; these are equivalent to the {ImageWidth} and {ImageHeight} fields. Example:
<IMG SRC="{ThumbUrl}" WIDTH="{ThumbWidth}" HEIGHT="{ThumbHeight}">

* You can tell Album Express to automatically resize/convert images to JPG while it is building an album. The following template options are supported:
  ImagePrefix=web_
  ImageMaxSize=640x480 (width x height)
  ImageSharpness=10
  ImageQuality=70
  ImageOverwrite=Yes/No

ImagePrefix specifies the prefix/suffix that should be added to the image file. The default is no prefix. If the value starts with an underscore character, it will be used as a suffix to the file name.

ImageMaxSize is used to specify the maximum dimensions in pixels of the image. Pictures that are larger than the specified values are shrunk to fit within the imposed dimensions. Use the x character to separate the width value (on the left side) from the height value (on the right side). If you specify a single value, it is used for both the image width and height. The default values are those defined by the user in Album Express. If possible, you should avoid overriding the users settings.

ImageSharpness can be any value between -100 and +100. It is only used when the image is resized. A value great than 0 sharpens the image, and a smaller value softens it. The default value is 10.

ImageQuality can be a value between 1 and 100. It defines the quality and influences the file size of the created JPG file. The higher the value, the better the image quality and the larger the file size. The default value is 70.

ImageOverwrite defines whether existing images are overwritten by Album Express during the building process. The default value is that defined by the user in Album Express. If possible, you should avoid overriding this setting.

* You can now stop Album Express from overriding the path/filename of files in tags like <IMG SRC= > used in a template. Just add an asterisk after the opening of the tag. Example: <*IMG SRC= >

* Added the template option "Merge". Syntax:
Merge=VariableName
Use this option to send the generated pages to memory instead of disk files. Each page created this way is appended to the previous one and stored in the specified variable (represented by VariableName). Variable names should not contain spaces or special characters. The contents of variables created this way can be inserted into other pages by using the special field {Merge:VariableName}. See the "Photo Page.htm" and "_Photo Thumbs.htm" templates for a demonstration of their usage.

* Added the template option "Variables". Syntax:
Variables=VariableName:Value
Variables={VariableName1:Value1} {VariableName2:Value2} {VariableName3:Value3}
Use this option to define variables and assign values to them. Variable names should not contain spaces or special characters. Use a colon to separate the variable name from the value being assigned to it. If you define more than one variable, you must enclose each assignment in curly braces. The contents of variables created this way can be inserted into other pages by using the special field {Merge:VariableName}. Be careful to generate the pages in the appropriate order so that the variables contain the appropriate
contents before you use them. See the "Photo Page.htm" template for a demonstration of its usage.

* Added the new template field {Merge:VariableName}. The field is replaced by the contents of the specified variable, denoted here by VariableName. If the variable does not exist, the field is removed and nothing is inserted in its place. You can use this field to insert values set in the Album OptionsAlbum_Options section through the use of the Merge and Variables settings.

* Added the new template field {AlbumName}. It is designed for assigned to OutputName in the Options section of a template. The value corresponds to the album file name specified by the user on page #3. This field is useful when the contents page is not the first one created by Album Express. You can see it used in the "_Photo Thumbs.htm" template. Example:
OutputName={AlbumName}

* Added the new template field {PageContents}. Use it to insert the file name of the contents page (the first page of the album). Useful to create a link for a "Home" or "Index" button. Can be used in any part of the template, but normally not used in the Contents section.

* Added the new template field {CharSet}. Use it to define the character set needed to correctly represent the text contained in the Web album. This field should be used in the Header section of the Web page. Typically, it is used in the following Meta tag:
<meta http-equiv="Content-Type" content="text/html; charset={_CharSet}">

* Added the new template field {_IsMultiItem}. It is a conditional field. Returns an empty value if the current page only contains a single item (usually an image), and the field name if the page contains several items. This field is useful to determine whether a line containing it should be added to the album page or not. Should be used in a comment tag; i.e. <!--{_IsMultiItem}-->. Can be used in any part of the template.



Version 2.0 (released: November 12, 1999)
-----------
Album Express is the new name and a major upgrade of a popular
program called "HTML Imager", which was last updated in 1997.

_________________________________________________________________
  Album Express™ is a trademark of Fookes Software, Switzerland
       Copyright © 1999-2004, Fookes Software, Switzerland
                     - All Rights Reserved-
